/* Testit.c: exercise the ramfile for testing purposes */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#define USAGE "usage: testit filename \n"

#define MYBUFSIZ 1024
static char buffer[MYBUFSIZ];

char message1[] = "Now is the time for all good men to come to the aid of their country.\n"; 
char message2[] = "Whether it is nobler to suffer the slings and arrows of outrageous fortune\n";  

int main(int argc, char **argv){

	FILE *handle;
	fpos_t my_pointer;
	int n;

	if(argc < 2){
		fprintf(stderr,"%s",USAGE);
		return 1;
	}

	handle = fopen(argv[1],"w");

	if(handle)
		{
			printf("Successful open of %s for write\n",argv[1]);
			n = fwrite(message1,1,strlen(message1),handle);
			printf("Wrote %d bytes\n",n);
			n = fwrite(message2,1,strlen(message2),handle);
			printf("Wrote %d bytes\n",n);
			fclose(handle);
		}
	handle = fopen(argv[1],"r");
	if(handle)
		{
			printf("Successful open of %s for read\n",argv[1]);
			n = fread(buffer,1,strlen(message1)+strlen(message2),handle);
			printf("read %d bytes = %s",n,buffer);
			printf("\nTrying to read more, this should fail\n");
			n = fread(buffer,1,MYBUFSIZ,handle);
			printf("Read %d bytes\n",n);
	                if(fclose(handle)==0)
			   printf("Successful close\n"); 
		}
	return 0;
}
