/* bcat.c: buffered write binary file to another file */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#define USAGE "usage: bcat source_path dest_path \n"

#define MYBUFSIZ 1024
static unsigned char buffer[MYBUFSIZ];


int main(int argc, char **argv){

	FILE *input,*output;
	int n=0;

	if(argc != 3){
		fprintf(stderr,"%s",USAGE);
		return 1;
	}

	input = fopen(argv[1],"rb");
	output = fopen(argv[2],"wb");
	while((n = fread(buffer,1,MYBUFSIZ,input))==MYBUFSIZ)
		fwrite(buffer,1,n,output);
	fwrite(buffer,1,n,output);
	fclose(input);
	fclose(output);
	return 0;
}
